This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546477 - openssl lib64 path patch typo
openssl lib64 path patch typo
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.4
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 18:17 EST by E. Nagel
Modified: 2012-07-11 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, a redundant patch was included in the source rpm. With this update, this patch has been removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:25:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description E. Nagel 2009-12-10 18:17:49 EST
The current bind src rpm (bind-9.3.6-4.P1.el5_4.1.src.rpm) contains a patch (bind-9.3.1beta2-openssl-suffix.patch) for the openssl lib path, adjusting it for x86_64 if necessary. A typo renders the patch useless:
+OSSUFFIX=
+if test "$host_cpu" = "x86_64"; then
+        OSSUFFIX=64
+fi;
...
-                               DNS_OPENSSL_LIBS="-L$use_openssl/lib -lcrypto"
+                               DNS_OPENSSL_LIBS="-L$use_openssl/lib${OSUFFIX} -lcrypto"

The last line above should read:
+                               DNS_OPENSSL_LIBS="-L$use_openssl/lib${OSSUFFIX} -lcrypto"

(The AC_MSG_RESULT which also gets patched does not contain this typo)

Patch may or may not be required for x86_64 use of openssl components, changelog does not specify implementation of this patch (which is why I don't know what it's supposed to solve). Further testing required to determine removal of patch or correction of variable name.
Comment 1 Adam Tkac 2009-12-16 09:37:44 EST
The bind-9.3.1beta2-openssl-suffix.patch patch is absolutely useless. It will be dropped in the next major update of BIND. Thanks for report.
Comment 4 Florian Nadge 2010-10-11 05:07:44 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, a redundant patch was included in the source rpm. With this update, this patch has been removed.
Comment 7 Martin Cermak 2010-11-03 10:32:09 EDT
=> VERIFIED
Comment 10 errata-xmlrpc 2011-01-13 17:25:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0032.html

Note You need to log in before you can comment on or make changes to this bug.